# std::initializer_list<T>::size

From cppreference.com
< cpp‎ | utility‎ | initializer list

size_type size() const noexcept; |  | (since C++11) (until C++14)
constexpr size_type size() const noexcept; |  | (since C++14)

Returns the number of elements in the initializer list, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

the number of elements in the initializer list

### Complexity

Constant

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/size&oldid=93410"